<?php
class Core_Validate_Exception extends LogicException
{
    protected $_errors = array();

    /**
     *
     * @return array
     */
    public function getErrors()
    {
        return $this->_errors;
    }

    /**
     *
     * @param array $errors
     *
     * @return \Core_Validate_Exception
     */
    public function setErrors(array $errors)
    {
        $this->_errors = $errors;

        return $this;
    }
}